Package tigase.db.converter

# Enum Class Converter.SERVER

java.lang.Object
java.lang.Enum<Converter.SERVER>
tigase.db.converter.Converter.SERVER

All Implemented Interfaces:
  `Serializable`, `Comparable<Converter.SERVER>`, `Constable`

Enclosing class:
  Converter

public static enum Converter.SERVER extends Enum<Converter.SERVER>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ejabberd`
  `ejabberd_new`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String[]`
  `strings`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Converter.SERVER`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Converter.SERVER[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ejabberd

    public static final Converter.SERVER ejabberd

  - ### ejabberd_new

    public static final Converter.SERVER ejabberd_new

- ## Field Details

  - ### strings

    public static final String[] strings

- ## Method Details

  - ### values

    public static Converter.SERVER[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Converter.SERVER valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null